<?php

namespace Drupal\commerce_stripe_payment_request_button\PluginForm;

use Drupal\commerce_payment\PluginForm\PaymentOffsiteForm;
use Drupal\Core\Form\FormStateInterface;


class PaymentMethodOffsiteForm extends PaymentOffsiteForm {


  /**
   * {@inheritdoc}
   */
  public function buildConfigurationForm(array $form, FormStateInterface $form_state) {
    $form = parent::buildConfigurationForm($form, $form_state);


    /** @var \Drupal\commerce_payment\Entity\PaymentInterface $payment */
    $payment = $this->entity;
    $order = $payment->getOrder();
    $amount = $payment->getAmount();

    $form['#attached']['library'][] = 'commerce_stripe_payment_request/form';

    $form['#attached']['drupalSettings']['stripe_payment_request'] = [
      'currencyCode' => $amount->getCurrencyCode(),
      'countryCode' => $order->getStore()->getAddress()->getCountryCode(),
      'store' => $order->getStore()->label(),
      'total' => 0, // @todo: Real total.
      'cancelUrl' => $form['#cancel_url'],
      'successUrl' => Url::fromRoute('commerce_checkout.form', [
        'commerce_order' => $order->id(),
        'step' => 'complete',
      ])->toString(),
      'paymentUrl' => $form['#return_url'],
      'validateUrl' => Url::fromRoute('commerce_stripe_payment_request.validate', [
        'commerce_order' => $order->id(),
        'step' => 'payment',
      ])->toString(),
    ];



   // $charge_path = 'checkout/' . $order->order_id . '/stripe-payment-request';


    return $form;

  }


}